MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002555VCMIMechanics - Battlespublic2016-10-15 17:312016-10-17 06:33
Reportermisiokles 
Assigned ToAVS 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002555: Problem with casting quick sand spell by creature.
DescriptionIn Axolotl Creature Pack there's creature called Lionman. During battle Lionman casts Quicksand spell at the begining of his first turn. In 0.98g version casting works, in last daily version casting doesn't work.
Steps To Reproduce1. Load lionmen saves.
2. Attack nearby creatures
3. Try to casts quicksand by Lionmen during battles.
4. Compare with 0.98g version.
TagsNo tags attached.
Attached Filesrar file icon lionmen-Saves.rar [^] (452,765 bytes) 2016-10-15 17:31

- Relationships
related to 0001408acknowledged Combat screen - missing hotkeys 
related to 0001286assignedAVS Hotkey F for Faerie Dragon's area spells 

-  Notes
(0006832)
AVS (administrator)
2016-10-15 17:37

Could you please write some more information: which creatures were attacked by you and on which terrain?
(0006833)
misiokles (reporter)
2016-10-15 17:41
edited on: 2016-10-15 17:43

Load attached save.
Mod link is here: https://www.mediafire.com/?6urua69qt5dn6p2 [^]
When you load save, you have Lionmen in your army (AI never cast lionmen quicksand spell). So you can battle with any creature on any terrain. By compare - when after loading save I attack the same creature in 0.98g version and last builds, bug occurs in last builds.

(0006834)
AVS (administrator)
2016-10-15 18:12

This is not exactly a bug:

"NO_LOCATION action target is not yet supported for creatures"

I`ve disables it on purpose: with SPELLCASTER player should be able to deside should creature cast or not.

To properly fix it wee need to deside how it should work. It may be hotkey to block cast (ALT, SHIFT or whatever) and then reenable creature cast with NO_LOCATION taregt on any hex.
(0006835)
misiokles (reporter)
2016-10-15 18:17

Ok, I get it! Just wonder why casting works in 0.98g, and doesn't work now and thought it's a bug :) You may close this issue then!
(0006836)
AVS (administrator)
2016-10-15 18:22

Any thought on hotkey?
(0006837)
misiokles (reporter)
2016-10-15 18:30

Maybe like Fairy Dragons - cast activation F key (G in HotA)?
(0006845)
AVS (administrator)
2016-10-17 06:33

should be fixed in https://github.com/vcmi/vcmi/pull/239 [^]

- Issue History
Date Modified Username Field Change
2016-10-15 17:31 misiokles New Issue
2016-10-15 17:31 misiokles File Added: lionmen-Saves.rar
2016-10-15 17:32 AVS Assigned To => AVS
2016-10-15 17:32 AVS Status new => assigned
2016-10-15 17:37 AVS Note Added: 0006832
2016-10-15 17:37 AVS Status assigned => feedback
2016-10-15 17:41 misiokles Note Added: 0006833
2016-10-15 17:41 misiokles Status feedback => assigned
2016-10-15 17:43 misiokles Note Edited: 0006833 View Revisions
2016-10-15 18:12 AVS Note Added: 0006834
2016-10-15 18:17 misiokles Note Added: 0006835
2016-10-15 18:22 AVS Note Added: 0006836
2016-10-15 18:30 misiokles Note Added: 0006837
2016-10-16 11:45 AVS Relationship added related to 0001286
2016-10-16 12:13 AVS Relationship added related to 0001408
2016-10-17 06:33 AVS Note Added: 0006845
2016-10-17 06:33 AVS Status assigned => resolved
2016-10-17 06:33 AVS Fixed in Version => 0.99
2016-10-17 06:33 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean